import { defineConfig, presetAttributify, presetIcons, presetWind } from 'unocss'

export default defineConfig({
  presets: [
    presetWind(), // This is the Tailwind-compatible preset
    presetAttributify(),
    presetIcons(),
  ],
  theme: {
    container: {
      center: true,
      padding: '2rem',
      screens: {
        '2xl': '1400px',
      },
    },
    extend: {
      colors: {},
      borderRadius: {
        lg: 'var(--radius)',
        md: 'calc(var(--radius) - 2px)',
        sm: 'calc(var(--radius) - 4px)',
      },
    },
  },
  shortcuts: [
    // Add any custom shortcuts if needed
  ],
  rules: [
    // Custom rules if needed
  ],
  inspector: true,
})
